## dde-control-center 6.0.62

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

set(DVERSION "6.0.44" CACHE STRING "define project version")
set(BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")

set(PROJECT_NAME dde-control-center)
project(${PROJECT_NAME}
    VERSION ${DVERSION}
    DESCRIPTION "Deepin Control Center"
    HOMEPAGE_URL "https://github.com/linuxdeepin/dde-control-center"
    LANGUAGES CXX C
)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
option(ENABLE_ASAN "Enable asan" OFF)
option(BUILD_TESTING "UNIT test" ON)

# INFO:
# plugins can be disabled and their options
# plugin-authentication : DISABLE_AUTHENTICATION
# plugin-update : DISABLE_UPDATE
# plugin-keyboard: DISABLE_LANGUAGE to disable language panel

option(DISABLE_AUTHENTICATION "disable build authentication plugins" OFF)
option(DISABLE_UPDATE "disable build update plugins" OFF)
option(DISABLE_LANGUAGE "disable lanugage settings in control center" OFF)
option(USE_DEEPIN_ZONE "enable special timezone file on deepin" OFF)
option(DISABLE_SOUND_ADVANCED "disable sound advanced settings" OFF)
set(DEEPIN_TIME_ZONE_PATH "/usr/share/dde/zoneinfo/zone1970.tab" CACHE STRING "deepin timezone path")
set(LOCALE_I18N_PATH "/usr/share/i18n/SUPPORTED" CACHE STRING "Supported locale path")

# asan 自己有内存泄露，暂不使用
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(UNITTEST ON)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror=return-type -fno-omit-frame-pointer -Wextra")
    if(ENABLE_ASAN)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
        add_definitions(-DUSE_ASAN)
    endif()
else()
    # generate qm
    execute_process(COMMAND bash "misc/translate_generation.sh"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    # generate desktop translate
    execute_process(COMMAND bash "misc/translate_ts2desktop.sh"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif()

if (BUILD_TESTING)
    set(UNITTEST ON)
endif()

set(BUILD_PLUGIN ON)

if (NOT BUILD_PLUGIN)
    set(UNITTEST OFF)
endif()
# GNU 默认

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(UT_COMPILER -fprofile-arcs -ftest-coverage)
elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(UT_COMPILER -fprofile-instr-generate -ftest-coverage)
endif()

if (USE_DEEPIN_ZONE)
    add_definitions(-DUSE_DEEPIN_ZONE)
    add_definitions(-DDEEPIN_TIME_ZONE_PATH="${DEEPIN_TIME_ZONE_PATH}")
endif ()

add_definitions(-DLOCALE_I18N_PATH="${LOCALE_I18N_PATH}")

# 增加安全编译参数
ADD_DEFINITIONS(${SAFE_COMPILER})

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(GoogleTest)

if(BUILD_DOCS)
    add_subdirectory(docs)
endif()

set(TRANSLATE_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}/translations" CACHE STRING "Install dir for dde-control-center translate files")

add_definitions(-DTRANSLATE_READ_DIR="${CMAKE_INSTALL_PREFIX}/${TRANSLATE_INSTALL_DIR}")
set(MODULE_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/dde-control-center/modules" CACHE STRING "Install dir for dde-control-center modules")

set(MODULE_READ_DIR "${MODULE_INSTALL_DIR}" CACHE STRING "Dir to find dde-control-center modules")
add_definitions(-DDefaultModuleDirectory="${MODULE_READ_DIR}")

set(LOCALSTATE_READ_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}" CACHE STRING "Dir to find modifiable single-machine data")
add_definitions(-DVARDIRECTORY="${LOCALSTATE_READ_DIR}")
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Dtk COMPONENTS Core Widget DConfig REQUIRED)
find_package(Qt5 COMPONENTS Widgets Network DBus Concurrent Multimedia Svg Test REQUIRED)
find_package(GTest REQUIRED)
find_package(Threads REQUIRED)
# pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# dconfig
file(GLOB DCONFIG_FILES "misc/configs/*.json")
dtk_add_config_meta_files(APPID org.deepin.dde.control-center BASE misc/configs FILES ${DCONFIG_FILES})
file(GLOB DCONFIG_FILE_REGION_FORMAT "misc/configs/common/org.deepin.region-format.json")
dtk_add_config_meta_files(COMMONID true FILES ${DCONFIG_FILE_REGION_FORMAT})

include_directories(
    include
)

set(Test_Libraries
    -lgcov
    Threads::Threads
    GTest::gtest
    Qt::Test
)

#--------------------------interface--------------------------
set(Interface_Name dcc-interface)
file(GLOB_RECURSE Interface_SRCS
    "include/interface/*.h"
    "src/interface/*.cpp"
)
add_library(${Interface_Name} SHARED
    ${Interface_SRCS}
)

set(Interface_Libraries
    Qt::Widgets
    Dtk::Widget
)

target_include_directories(${Interface_Name} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/interface>
)

target_include_directories(${Interface_Name} INTERFACE
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/dde-control-center/>
)

target_link_libraries(${Interface_Name} PUBLIC
    ${Interface_Libraries}
)

set_target_properties(${Interface_Name} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    EXPORT_NAME DCCInterface
)

# so
install(TARGETS ${Interface_Name}
        EXPORT DdeControlCenterInterfaceTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(EXPORT DdeControlCenterInterfaceTargets
        FILE DdeControlCenterInterfaceTargets.cmake
        NAMESPACE Dde::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter
)


#--------------------------dccwidgets library----------------------------
set(Dcc_Widgets_Name dcc-widgets)
file(GLOB_RECURSE Dcc_Widgets_SRCS
    "include/widgets/*.h"
    "src/widgets/*.cpp"
)
add_library(${Dcc_Widgets_Name} SHARED
    ${Dcc_Widgets_SRCS}
)
set(Dcc_Widgets_Includes
    include/widgets
)

set(Dcc_Widgets_Libraries_public
    Dtk::Widget
    Qt::Widgets
    ${Interface_Name}
)

set(Dcc_Widgets_Libraries_private
    Qt::Svg
    Qt::DBus
)

set(Dcc_Widgets_Libraries
    ${Dcc_Widgets_Libraries_public}
    ${Dcc_Widgets_Libraries_private}
)

target_include_directories(${Dcc_Widgets_Name} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/widgets>
)

target_include_directories(${Dcc_Widgets_Name} INTERFACE
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/dde-control-center/>
)

target_link_libraries(${Dcc_Widgets_Name} PUBLIC
    ${Dcc_Widgets_Libraries_public}
)

target_link_libraries(${Dcc_Widgets_Name} PRIVATE
    ${Dcc_Widgets_Libraries_private}
)

set_target_properties(${Dcc_Widgets_Name} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
    EXPORT_NAME DCCWidget
)

# so
install(TARGETS ${Dcc_Widgets_Name}
        EXPORT DdeControlCenterWidgetTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(EXPORT DdeControlCenterWidgetTargets
        FILE DdeControlCenterWidgetTargets.cmake
        NAMESPACE Dde::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter
)


#------------------------dccwidgets library test--------------------------
if (UNITTEST)
    set(UT_Dcc_Widgets_Name ut-dcc-widgets)
    file(GLOB_RECURSE UT_Dcc_Widgets_SRCS
        "tests/widgets/*.cpp"
    )
    add_executable(${UT_Dcc_Widgets_Name}
        ${Dcc_Widgets_SRCS}
        ${UT_Dcc_Widgets_SRCS}
    )
    # 用于测试覆盖率的编译条件
    target_compile_options(${UT_Dcc_Widgets_Name} PRIVATE ${UT_COMPILER})
    target_include_directories(${UT_Dcc_Widgets_Name} PUBLIC
        ${Dcc_Widgets_Includes}
    )
    target_link_libraries(${UT_Dcc_Widgets_Name} PRIVATE
        ${Dcc_Widgets_Libraries}
        ${Test_Libraries}
    )
    gtest_discover_tests(${UT_Dcc_Widgets_Name} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

#--------------------------dde-control-center--------------------------
set(Control_Center_Name dde-control-center)
file(GLOB_RECURSE Control_Center_SRCS
    "src/frame/*.h"
    "src/frame/*.cpp"
)
list(REMOVE_ITEM Control_Center_SRCS "${CMAKE_SOURCE_DIR}/src/frame/main.cpp")

add_executable(${Control_Center_Name}
    ${Control_Center_SRCS}
    src/frame/main.cpp
)

target_compile_definitions(${Control_Center_Name} PRIVATE CVERSION="${CVERSION}")

set(Control_Center_Libraries
    ${Dcc_Widgets_Name}
    ${Interface_Name}
    Dtk::Widget
    Qt::Widgets
    Qt::DBus
    Qt::Concurrent
)

target_link_libraries(${Control_Center_Name} PRIVATE
    ${Control_Center_Libraries}
)

# bin
install(TARGETS ${Control_Center_Name} DESTINATION ${CMAKE_INSTALL_BINDIR})

#----------------------------install config------------------------------
# qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION ${TRANSLATE_INSTALL_DIR})

#desktop
install(FILES misc/org.deepin.dde.control-center.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)

#service
configure_file(
    ${CMAKE_SOURCE_DIR}/misc/org.deepin.dde.ControlCenter1.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.ControlCenter1.service
    @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.ControlCenter1.service
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services)

# systemd service
if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(Systemd REQUIRED systemd)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
endif()

configure_file(
    ${CMAKE_SOURCE_DIR}/misc/systemd/dde-control-center.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.control-center.service
    @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.deepin.dde.control-center.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR})

# dev files
file(GLOB HEADERS "include/*")
set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/dde-control-center)
install(DIRECTORY ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR})

configure_package_config_file(misc/DdeControlCenterConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter
    PATH_VARS INCLUDE_INSTALL_DIR
    INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})

write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfigVersion.cmake"
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY SameMajorVersion
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/misc/org.deepin.dde.controlcenter.metainfo.xml
        DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

#dde-grand-search-daemon conf
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/misc/org.deepin.dde-grand-search.dde-control-center-setting.conf
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/dde-grand-search-daemon/plugins/searcher)
#-------------------------ut-dcc-interface-------------------------
if (UNITTEST)
    set(UT_Interface_Name ut-dcc-interface)
    file(GLOB_RECURSE UT_Interface_SRCS
        "tests/interface/*.cpp"
    )

    set(Interface_Includes
        include/interface
    )

    add_executable(${UT_Interface_Name}
        ${Interface_SRCS}
        ${UT_Interface_SRCS}
    )

    # 用于测试覆盖率的编译条件
    target_compile_options(${UT_Interface_Name} PRIVATE ${UT_COMPILER})

    target_include_directories(${UT_Interface_Name} PUBLIC
        ${Interface_Includes}
    )

    target_link_libraries(${UT_Interface_Name} PRIVATE
        ${Interface_Libraries}
        ${Test_Libraries}
    )
endif()
#-------------------------ut-dcc-frame-------------------------
if (UNITTEST)
    set(UT_Frame_Name ut-dcc-frame)
    file(GLOB_RECURSE UT_Frame_SRCS
        "tests/frame/*.cpp"
    )

    add_executable(${UT_Frame_Name}
        ${Control_Center_SRCS}
        ${UT_Frame_SRCS}
    )

    # 用于测试覆盖率的编译条件
    target_compile_options(${UT_Frame_Name} PRIVATE ${UT_COMPILER})

    target_link_libraries(${UT_Frame_Name} PRIVATE
        ${Control_Center_Libraries}

=== docs/CMakeLists.txt ===
find_package(Doxygen REQUIRED)

set(QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")

find_program(QHelpGenerator_EXECUTABLE NAMES qhelpgenerator-qt5 qhelpgenerator)

set(DOXYGEN_GENERATE_HTML YES CACHE STRING "Doxygen HTML output")
set(DOXYGEN_GENERATE_XML YES CACHE STRING "Doxygen XML output")
set(DOXYGEN_GENERATE_QHP YES CACHE STRING "Doxygen QHP output")
set(DOXYGEN_FILE_PATTERNS *.cpp *.h *.zh_CN.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set(DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "")# Should be the same as this project is using.
set(DOXYGEN_EXTRACT_STATIC YES)
set(DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set(DOXYGEN_QHG_LOCATION ${QHelpGenerator_EXECUTABLE})
set(DOXYGEN_QHP_NAMESPACE "org.deepin.dde-control-center")
set(DOXYGEN_QCH_FILE "dde-control-center.qch")
set(DOXYGEN_QHP_VIRTUAL_FOLDER "dde-control-center")
set(DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)

set(DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set(DOXYGEN_TAGFILES "qtcore.tags=qthelp://org.qt-project.qtcore/qtcore/" CACHE STRING "Doxygen tag files")
set(DOXYGEN_IMAGE_PATH ${PROJECT_SOURCE_DIR}/docs/src)
set(DOXYGEN_SOURCE_BROWSE "YES")

set(BUILD_THEME OFF CACHE BOOL "Build doxgen theme")
if(BUILD_THEME)
    if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/doxygen-theme")
        message(STATUS "doxygen-theme exists")
    else()
        execute_process(COMMAND git clone https://github.com/linuxdeepin/doxygen-theme.git --depth=1
            WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
            TIMEOUT 60)
        execute_process(COMMAND bash themesetting.sh
            WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/doxygen-theme/)
    endif()
    set(DOXYGEN_HTML_EXTRA_STYLESHEET
        "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome.css" "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only.css" "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-sidebar-only-darkmode-toggle.css")
    set(DOXYGEN_HTML_EXTRA_FILES
        "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-darkmode-toggle.js" "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-fragment-copy-button.js" "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-paragraph-link.js" "docs/doxygen-theme/doxygen-awesome-css/doxygen-awesome-interactive-toc.js")
    set(DOXYGEN_GENERATE_TREEVIEW "YES")
    set(DOXYGEN_DISABLE_INDEX "NO")
    set(DOXYGEN_FULL_SIDEBAR "NO")
    set(DOXYGEN_HTML_HEADER "docs/doxygen-theme/doxygen-awesome-css/header.html")
    set(DOXYGEN_HTML_FOOTER "docs/doxygen-theme/doxygen-awesome-css/footer.html")
endif()

set(DOXYGEN_MACRO_EXPANSION "YES")
set(DOXYGEN_PREDEFINED "DCC_NAMESPACE=dccv23")

doxygen_add_docs(doxygen
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen")

install(FILES ${PROJECT_BINARY_DIR}/docs/html/dde-control-center.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== debian/changelog ===
dde-control-center (6.0.62) unstable; urgency=medium

  * bump version to 6.0.62

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 14 Aug 2024 14:42:16 +0800

dde-control-center (6.0.61) unstable; urgency=medium

  * fix: dock panel min size error(Issue: 10069)(Influence: can adjust dock's min size)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 06 Aug 2024 15:45:27 +0800

dde-control-center (6.0.60) unstable; urgency=medium

  * fix: Fixed the problem that the icon cannot be retrieved from the system monitor (#1661)(issue: 9833)
  * fix: Add screenshot plug-in icon (#1662)(Issue: 9944)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 14:48:00 +0800

dde-control-center (6.0.59) unstable; urgency=medium

  * fix: module object name setting error (#1655)(Influence: module can jump normally)
  * fix: remove some shortcuts(Issue: 9599)
  * fix: Fix crash when switching Light/Dark theme(Issue: 9883)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:16:00 +0800

dde-control-center (6.0.58) unstable; urgency=medium

  * chore: compatible to new dock 

 -- Wang Fei <wangfei@deepin.org>  Tue, 09 Jul 2024 11:41:02 +0800

dde-control-center (6.0.57) unstable; urgency=medium

  * feat: Add translations for dde-control-center in plymouth notifications(Issue: https://github.com/linuxdeepin/developer-center/issues/8998)
  * fix: The avatar selection interface is not adapted to dark mode(Issue: https://github.com/linuxdeepin/developer-center/issues/9440)
  * feat: add configuration for hidden icon themes(Issue: https://github.com/linuxdeepin/developer-center/issues/9024)
  * fix: Refresh dock plugins list when switch composite status(Issue: https://github.com/linuxdeepin/developer-center/issues/8995)
  * fix: crash when selecting custom avatar(Issue: https://github.com/linuxdeepin/developer-center/issues/9513)
  * fix: 规范地区名称(Issue: https://github.com/linuxdeepin/developer-center/issues/5997)

 -- Zhang kun <zhangkun2@uniontech.com>  Tue, 02 Jul 2024 10:05:16 +0800

dde-control-center (6.0.56) unstable; urgency=medium

  * chore: use GenericName if X-Deepin-Vendor is 'deepin' (linuxdeepin/developer-center#6692)

 -- zsien <quezhiyong@deepin.org>  Thu, 30 May 2024 17:39:02 +0800

dde-control-center (6.0.55) unstable; urgency=medium

  * feat: add backup updates ui(Issue: https://github.com/linuxdeepin/developer-center/issues/8626)
  * fix: data of datetime is unintialized(Issue: https://github.com/linuxdeepin/developer-center/issues/8248)

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 23 May 2024 16:08:10 +0800

dde-control-center (6.0.54) unstable; urgency=medium

  * release 6.0.54

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 15:15:21 +0800

dde-control-center (6.0.53) unstable; urgency=medium

  * fix: the config file of "showtimetofull" option has changed

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 30 Apr 2024 13:14:53 +0800

dde-control-center (6.0.52) unstable; urgency=medium

  * fix: upgrade information mismatch with dark mode(Issue: https://github.com/linuxdeepin/developer-center/issues/7996)

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 26 Apr 2024 13:30:56 +0800

dde-control-center (6.0.51) unstable; urgency=medium

  * feat: Update performance mode listview style
  * fix: wrong time format

 -- Wang Fei <wangfei@deepin.org>  Wed, 24 Apr 2024 19:07:10 +0800

dde-control-center (6.0.50) unstable; urgency=medium

  * release 6.0.50

 -- Mike Chen <chenke@deepin.org>  Mon, 22 Apr 2024 09:36:57 +0800

dde-control-center (6.0.49) unstable; urgency=medium

  * fix: adjust configure for dock module temporarily
  * fix: space between lang and country 

 -- Wang Fei <wangfei@deepin.org>  Mon, 15 Apr 2024 17:40:26 +0800

dde-control-center (6.0.48) unstable; urgency=medium

  * chore: remove show recent apps in dock settings 
  * fix: wrong long date format
  * chore: tab indicator radius tweak
  * fix: cannot search parenthese 

 -- Wang Fei <wangfei@deepin.org>  Tue, 02 Apr 2024 10:04:37 +0800

dde-control-center (6.0.47) unstable; urgency=medium

  * fix: ui flash when switching power subpage

 -- Wang Fei <wangfei@deepin.org>  Wed, 20 Mar 2024 16:36:48 +0800

dde-control-center (6.0.46) unstable; urgency=medium

  * fix: ui flash when switching power subpage 
  * Revert "fix: type(defult)"

 -- wangfei <wangfei@deepin.org>  Fri, 15 Mar 2024 10:05:46 +0800

dde-control-center (6.0.45) unstable; urgency=medium

  * fix: grand search can not search dcc modules
  * fix: hover index not repaint
  * fix: type(defult)
  * fix: The width of bottom button is too long
  * fix: version info data source not consistent
  * fix(PersonalizationThemeList): wrong margins

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 04 Mar 2024 16:46:01 +0800

dde-control-center (6.0.44) unstable; urgency=medium

  * fix: typo compositor
  * chore: remove code for gamma control
  * fix(CustomShortcut): file chooser is opened when Enter pressed
  * fix: wrong tab index
  * fix: listview not show item backgound when normal
  * fix: set all mime type
  * chore: mask linglong-upgrade.service together

 -- wangfei <wangfei@deepin.org>  Wed, 31 Jan 2024 09:34:03 +0800

dde-control-center (6.0.43) unstable; urgency=medium

  * feat: make plugin-display works in treeland

 -- rewine <luhongxu@deepin.org>  Mon, 22 Jan 2024 23:23:44 +0800

dde-control-center (6.0.42) unstable; urgency=medium

  *  chore: remove Cooperation in display plugin (https://github.com/linuxdeepin/developer-center/issues/7023)

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 22 Jan 2024 17:22:42 +0800

dde-control-center (6.0.41) unstable; urgency=medium

  * fix: time format error （https://github.com/linuxdeepin/developer-center/issues/6995）

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 22 Jan 2024 09:54:17 +0800

dde-control-center (6.0.40) unstable; urgency=medium

  * fix: block some plugins under treeland
  * fix: wait for http event finished when join internal channel
  * fix: extra button too wide


=== debian/control ===
Source: dde-control-center
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 cmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libdtkwidget-dev,
 libdtkcore-dev(>>5.6.18),
 libdtkcore5-bin,
 qtmultimedia5-dev,
 libdareader-dev,
 libdeepin-pw-check-dev,
 libpolkit-qt5-1-dev,
 doxygen,
 libgtest-dev,
 libgsettings-qt-dev,
 libicu-dev,
 libwayland-dev,
 systemd,
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/dde-control-center

Package: dde-control-center
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: New control center for Deepin Desktop Environment,
 Integrated control center with rich functions,Besides providing rich
 system setting items, the function level is simple, the logic is clear,
 the user can easily set the system, and the learning cost is low,
 Provide users with automatic update system and developer mode to meet
 the various needs of users for the operating system.
 abrecovery -restore system, Determine whether the system is restored
 reboot-reminder-dialog -Update restart, Confirm whether to restart the system
 after the completion of the update.
 DDE Control Center is the control panel of Deepin Desktop Environment.

Package: dde-control-center-dev
Architecture: any
Depends: dde-control-center (= ${binary:Version}), ${misc:Depends}
Description: New control center for Deepin Desktop Environment - development files
 DDE Control Center is the control panel of Deepin Desktop Environment.

Package: dde-control-center-doc
Architecture: any
Depends: dde-control-center (= ${binary:Version}), ${misc:Depends}
Description: dde-control-center (document)
 This package contains the doc files of dde-control-center

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT = qt5
VERSION = $(DEB_VERSION_UPSTREAM)
PACK_VER = $(shell echo $(VERSION) | awk -F'[+_~-]' '{print $$1}')
%:
	dh $@ --parallel
override_dh_auto_configure:
	dh_auto_configure -- -DCVERSION=$(DEB_VERSION_UPSTREAM) -DDVERSION=$(PACK_VER) -DUSE_DEEPIN_ZONE=ON
